#!/usr/bin/perl
use lib '.';
use HarnChar;
use CGI;
use FileHandle;
use strict;

my $req = new CGI;

my $shortname = $req->param("shortname");
my $char;
if (defined($shortname) and (-e "$shortname.txt")) {
    $char = HarnChar->getChar($shortname);
} else {
    $char = HarnChar->new();
    $shortname = undef;
}
# If there are input parameters, read them into the file
my $outfile = undef;
my $message = "no output";

# the following are part of the request, not part of the character per se
my $authusername = $req->param("authusername");
my $authpassword = $req->param("authpassword");
my $randomroll = $req->param("randomroll");
$req->delete('authusername','authpassword','randomroll');

if (defined($shortname) and (-e "$shortname.txt") and ($req->param() < 9)) {
    $char = HarnChar->getChar($shortname);
} else {
    # take stats from posted variables
    foreach my $key ($req->param()) {
	my $value = join('',$req->param($key));
	if ($value ne "Random") {
	    $char->$key( $value );
	}
    }
    if ($randomroll) {
	$char->rollAll();
    }
}
$char->validate();

# now write out the stats
if (defined($shortname)) {
    my $reverse;
    while ($authusername =~ m/(.)/g) { $reverse = ($1 . $reverse); }
    if ($char->users() !~ m/$authusername/) {
	$message = "user '$authusername' not authorized to write out '$shortname.txt' (valid users ".$char->users().")";
    } elsif ($authpassword ne $reverse) {
	$message = "invalid password '$authpassword' for user '$authusername'";
    } else {
	if ($char->writeFile("$shortname.txt")) {
	    $message = "wrote out as '$shortname.txt'";
	} else {
	    $message = "could not write out '$shortname.txt'";
	}
    }
}

print $req->header();
print_default_style(*STDOUT,$char);

########################################################################
sub print_default_style {
    my ($outfh,$char) = @_;
    # create hidden fields for all stats
    my $hidden;
    if (defined($shortname)) {
	$hidden .= "<input type=\"hidden\" name=\"shortname\" value=\"$shortname\">\n";
    }
    foreach ($char->stats()) {
	$hidden .= "<input type=\"hidden\" name=\"$_\" value=\"$char->{$_}\">\n";
    }

print $outfh <<EndDefaultDocument;
<html> <head>
<title>HarnMaster Character Sheet</title>
<style type="text/css">
table.standard {
    padding-right: 0px; padding-left: 0px;
    padding-bottom: 0px; padding-top: 0px;
    text-align: center; 
    font-weight: normal; font-size: 7pt;
    font-family:  Verdana, Arial, Helvetica, sans-serif;
}
.subtitleHeading {
    font-weight: bold; font-size: 8pt;
    font-family: "Times New Roman",Times,Serif;
}
.majorHeading {
    background-color:  #ffffff;
    color:             #000000;
    font-weight: bold; font-size: 7pt;
    font-family:  Verdana, Arial, Helvetica, sans-serif;
}
.minorHeading {
    background-color:  #ffffff;
    color:             #000000;
    font-weight: bold; font-size: 8pt;
    font-family: "Times New Roman",Times,Serif;
}
.statHeading {
    background-color:  #ffffcc;
    color:             #000000;
    font-weight: bold; font-size: 7pt;
    font-family: "Times New Roman",Times,Serif;
    padding-right: 1px; padding-left: 1px;
    padding-bottom: 1px; padding-top: 1px;
}
.blockHeading {
    background-color:  #ffffcc;
    color:             #000000;
    font-weight: bold; font-size: 7pt;
    font-family: "Times New Roman",Times,Serif;
    padding-right: 3px; padding-left: 3px;
    padding-bottom: 3px; padding-top: 3px;
}
.smallHeading {
    background-color:  #ffffcc;
    color:             #000000;
    font-weight: bold; font-size: 7pt;
    font-family: "Times New Roman",Times,Serif;
}
</style>
<!-- $message -->
</head>

<body bgcolor="white" leftmargin="0" marginwidth="0" topmargin="0" marginheight="0">
<!-- start of whole-page five-column table -->
<!--  |60|            480                  |60|  -->
<!--  +--+--+------------------------------+--+  -->
<!--  |  | spacer cell (height 24)         |  |  -->
<!--  |  |---------------------------------|  |  -->
<!--  |  | name/title subtable             |  |  -->
<!--  |  |---------------------------------|  |  -->
<!--  |  | stats(75+40+105+40+75+40+65+40) |  |  -->
<!--  |  |---------------------------------|  |  -->
<!--  |  | skills subtable                 |  |  -->
<!--  +--+---------------------------------+--+  -->

<form method="POST" action="http://www.darkshire.net/jhkim/rpg/harn/hm3/edit.cgi">
$hidden
</form>

<table class="standard" border="0" width="600" cellpadding="0" cellspacing="0">
<tr>
  <td colspan="3" width="600" height="6" align="center"></td>
</tr>
<tr>
  <td width="25" height="6" align="center"></td>
  <td width="550" align="center">
    <!-- start of name/title subtable -->
    <table class="standard" width="550" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td rowspan="4" width="70" height="138"><img src="http://www.darkshire.net/jhkim/rpg/harn/hm3/hm3banner-left.jpg" width="70" height="138"></td>
      </td>
      <td width="270" height="73"><img src="http://www.darkshire.net/jhkim/rpg/harn/hm3/hm3banner-top.jpg" width="270" height="73"></td>
      </td>
      <td rowspan="4" width="210" height="138"><a href="edit.cgi" onClick="document.forms[0].submit();return false;"><img src="http://www.darkshire.net/jhkim/rpg/harn/hm3/hm3banner-right.jpg" width="210" height="138"></a></td>
    </tr>
    <tr>
      <td class="minorHeading" width="270" height="15" align="left" background="hm3banner-mid-bg.jpg">
       Character Name: $char->{'CharacterName'}
      </td>
    </tr>
    <tr>
      <td class="minorHeading" width="270" height="15" align="left" background="hm3banner-mid-bg.jpg">
        Occupation/Title: $char->{'Occupation'}
      </td>
    </tr>
    <tr>
      <td width="270" height="35" align="center"><img src="http://www.darkshire.net/jhkim/rpg/harn/hm3/hm3banner-bottom.jpg" width="270" height="35"></td>
    </tr>
    <tr>
      <td colspan="2" bgcolor="#ffffff" height="24"> &nbsp; </td>
    </tr>
    </table>
    <!-- end of name/title subtable -->
  </td>
  <td width="25" height="6" align="center"></td>
</tr>
<tr>
  <td rowspan="3" width="60" align="right" valign="top"> &nbsp; </td>
  <td width="480" align="center">
    <!-- start of statistics subtable -->
    <table class="standard" width="480" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="5" class="minorHeading" width="135" height="14" align="left">
        BIRTH/FAMILY </td>
      <td colspan="4" class="minorHeading" width="125" height="14" align="left">
        APPEARANCE </td>
      <td colspan="4" class="minorHeading" width="115" height="14" align="left">
        PHYSICAL </td>
      <td colspan="4" class="minorHeading" width="105" height="14" align="left">
        PERSONALITY </td>
    </tr>
    <tr>
      <td rowspan="18" width="1" bgcolor="#000000" align="center"></td>
      <td colspan="15" bgcolor="#000000" height="1"></td>
      <td rowspan="18" width="1" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Species </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{'Species'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Height </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="49" height="14" align="center"> $char->{'Height'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Strength </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Strength'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="64" height="14" align="center">
        Intelligence </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Intelligence'} </td>
    </tr>
    <tr>
      <td colspan="15" bgcolor="#000000" height="1"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Sex </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{'Sex'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Frame </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="49" height="14" align="center"> $char->{'Frame'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Stamina </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Stamina'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="64" height="14" align="center">
        Aura </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Aura'} </td>
    </tr>
    <tr>
      <td colspan="15" bgcolor="#000000" height="1"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Birthdate </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{'BirthDate'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Weight </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="49" height="14" align="center"> $char->{'Weight'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Dexterity </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Dexterity'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="64" height="14" align="center">
        Will </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Will'} </td>
    </tr>
    <tr>
      <td colspan="15" bgcolor="#000000" height="1"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Sunsign </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{'Sunsign'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Comliness </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="49" height="14" align="center"> $char->{'Comliness'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Agility </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Agility'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="64" height="14" align="center">
        Morality </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Morality'} </td>
    </tr>
    <tr>
      <td colspan="15" bgcolor="#000000" height="1"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Culture </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{'Culture'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Complexion </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="49" height="14" align="center"> $char->{'Complexion'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Eyesight </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Eyesight'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="64" height="14" align="center">
        Deity/Religion </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Deity'} </td>
    </tr>
    <tr>
      <td colspan="15" bgcolor="#000000" height="1"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Social Class </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{'SocialClass'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Hair: </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="49" height="14" align="center"> $char->{'HairColor'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Hearing </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Hearing'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="64" height="14" align="center">
        Piety </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Piety'} </td>
    </tr>
    <tr>
      <td colspan="15" bgcolor="#000000" height="1"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Sibling Rank </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{'SiblingRank'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td colspan="3" rowspan="5" width="124" height="44" class="blockHeading" align="left" valign="top">
        Medical: </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Smell </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Smell'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td colspan="3" rowspan="5" class="blockHeading" width="104" height="44" align="left" valign="top">
        Psyche: </td>
    </tr>
    <tr>
      <td colspan="4" bgcolor="#000000" height="1"></td>
      <td colspan="5" bgcolor="#000000" height="1"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Parentage </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{''} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <!-- Medical continued -->
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        Voice </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Voice'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <!-- Psyche continued -->
    </tr>
    <tr>
      <td colspan="4" bgcolor="#000000" height="1"></td>
      <td colspan="5" bgcolor="#000000" height="1"></td>
    </tr>
    <tr>
      <td class="statHeading" width="74" height="14" align="center">
        Estrangement </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="58" height="14" align="center"> $char->{'Estrangement'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <!-- Medical continued -->
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td class="statHeading" width="74" height="14" align="center">
        <i>Endurance</i> </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="39" height="14" align="center"> $char->{'Endurance'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <!-- Psyche continued -->
    </tr>
    <tr>
      <td colspan="17" bgcolor="#000000" height="1"></td>
    </tr>
    </table>
    <!-- end of statistics subtable -->
  </td>
  <td rowspan="3" width="60" align="right" valign="top"> &nbsp; </td>
</tr>
<tr>
  <td width="480" align="center" height="30"> &nbsp; </td>
</tr>
<tr>
  <td width="480" align="center">
 <!-- start of skills subtable -->
 <table class="standard" border="0" cellpadding="0" cellspacing="0">
 <tr valign="top">
   <td width="114" align="left">
    <!-- start of physical skills subsubtable -->
    <table width="114" class="standard" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="7" class="minorHeading" width="114" height="14" align="left">
        PHYSICAL SKILLS </td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" class="smallHeading" align="left">&nbsp;SKILL</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">SB</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">ML</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="18" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_1_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_1_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_1_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_2_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_2_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_2_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_3_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_3_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_3_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_4_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_4_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_4_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_5_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_5_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_5_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_6_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_6_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_6_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_7_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_7_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_7_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_8_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_8_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_8_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_9_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_9_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_9_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_10_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_10_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_10_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Physical_11_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_11_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Physical_11_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    </table>
    <!-- end of physical skills subsubtable -->
   </td>
   <td width="8" bgcolor="#FFFFFF"></td>
   <td width="114" align="left">
    <!-- start of communication skills subsubtable -->
    <table width="114" class="standard" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="7" class="minorHeading" width="114" height="14" align="left">
        COMMUNICATION </td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" class="smallHeading" align="left">&nbsp;SKILL</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">SB</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">ML</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="18" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_1_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_1_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_1_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_2_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_2_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_2_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_3_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_3_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_3_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_4_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_4_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_4_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_5_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_5_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_5_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_6_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_6_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_6_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_7_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_7_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_7_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_8_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_8_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_8_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_9_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_9_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_9_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_10_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_10_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_10_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Communication_11_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_11_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Communication_11_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    </table>
    <!-- end of communication skills subsubtable -->
   </td>
   <td width="8" bgcolor="#FFFFFF"></td>
   <td width="114" align="left">
    <!-- start of craft/lore skills subsubtable -->
    <table width="114" class="standard" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="7" class="minorHeading" width="114" height="14" align="left">
        CRAFT/LORE </td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" class="smallHeading" align="left">&nbsp;SKILL</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">SB</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">ML</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="18" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_1_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_1_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_1_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_2_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_2_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_2_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_3_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_3_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_3_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_4_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_4_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_4_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_5_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_5_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_5_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_6_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_6_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_6_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_7_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_7_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_7_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_8_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_8_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_8_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_9_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_9_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_9_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_10_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_10_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_10_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Craft/Lore_11_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_11_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Craft/Lore_11_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    </table>
    <!-- end of craft/lore skills subsubtable -->
   </td>
   <td width="8" bgcolor="#FFFFFF"></td>
   <td rowspan="3" width="120" align="left">
    <!-- start of spells/rituals subsubtable -->
    <table width="114" class="standard" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="7" class="minorHeading" width="114" height="14" align="left">
        SPELLS/RITUALS </td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" class="smallHeading" align="left">&nbsp;NAME</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">LVL</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">ML</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="18" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_12_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_12_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_12_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_13_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_13_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_13_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_14_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_14_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_14_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_15_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_15_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_15_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_16_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_16_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_16_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_17_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_17_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_17_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_18_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_18_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_18_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_19_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_19_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_19_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_20_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_20_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_20_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_21_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_21_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_21_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_22_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_22_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_22_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_23_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_23_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_23_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_24_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_24_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_24_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_25_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_25_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_25_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_26_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_26_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_26_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_27_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_27_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_27_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_28_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_28_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_28_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_29_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_29_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_29_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_30_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_30_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_30_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_31_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_31_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_31_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Spell/Ritual_32_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_32_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Spell/Ritual_32_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    </table>
    <!-- end of spells/rituals subsubtable -->
   </td>
 </tr>
 <tr>
   <td colspan="6" height="10" bgcolor="#FFFFFF">&nbsp;</td>
 </tr>
 <tr valign="top">
   <td width="114" align="left">
    <!-- start of combat skills subsubtable -->
    <table width="114" class="standard" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="7" class="minorHeading" width="114" height="14" align="left">
        COMBAT SKILLS </td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" class="smallHeading" align="left">&nbsp;SKILL</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">SB</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">ML</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="18" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_1_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_1_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_1_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_2_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_2_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_2_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_3_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_3_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_3_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_4_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_4_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_4_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_5_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_5_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_5_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_6_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_6_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_6_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_7_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_7_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_7_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_8_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_8_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_8_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_9_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_9_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_9_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_10_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_10_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_10_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Combat_11_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_11_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Combat_11_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    </table>
    <!-- end of combat skills subsubtable -->
   </td>
   <td width="8" bgcolor="#FFFFFF"></td>
   <td width="114" align="left">
    <!-- start of languages/scripts subsubtable -->
    <table width="114" class="standard" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="7" class="minorHeading" width="114" height="14" align="left">
        LANGUAGE/SCRIPT </td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" class="smallHeading" align="left">&nbsp;SKILL</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">SB</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">ML</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="18" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_1_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_1_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_1_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_2_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_2_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_2_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_3_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_3_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_3_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_4_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_4_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_4_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_5_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_5_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_5_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_6_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_6_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_6_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_7_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_7_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_7_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_8_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_8_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_8_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_9_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_9_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_9_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_10_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_10_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_10_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Language/Script_11_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_11_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Language/Script_11_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    </table>
    <!-- end of languages/scripts subsubtable -->
   </td>
   <td width="8" bgcolor="#FFFFFF"></td>
   <td width="114" align="left">
    <!-- start of shek pvar subsubtable -->
    <table width="114" class="standard" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td colspan="7" class="minorHeading" width="114" height="14" align="left">
        SHEK PVAR </td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" class="smallHeading" align="left">&nbsp;SKILL</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">SB</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" class="smallHeading" align="center">ML</th>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="18" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Convocation_1_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_1_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_1_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Convocation_2_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_2_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_2_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Convocation_3_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_3_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_3_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Convocation_4_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_4_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_4_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Convocation_5_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_5_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_5_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Convocation_6_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_6_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_6_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Convocation_7_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_7_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_7_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    <tr bgcolor="#ffffcc">
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="72" height="14" align="left"> &nbsp;$char->{'Skill_Convocation_8_Name'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_8_SB'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
      <td width="19" height="14" align="center"> &nbsp;$char->{'Skill_Convocation_8_ML'} </td>
      <td width="1" height="14" bgcolor="#000000" align="center"></td>
    </tr>
    <tr>
      <td colspan="7" bgcolor="#000000" height="1"></td>
    </tr>
    </table>
    <!-- end of shek pvar subsubtable -->
   </td>
   <td width="8" bgcolor="#FFFFFF"></td>
 </tr>
 </table>
 <!-- end of skills subtable -->
  </td>
</tr>
</table>
</body></html>
EndDefaultDocument
}
