#!/usr/bin/perl
use lib '.';
use HarnChar;
use CGI;
use FileHandle;
use strict;

my $req = new CGI;
my $shortname = $req->param("shortname");
my $char;
if (defined($shortname) and (-e "$shortname.txt")) {
    $char = HarnChar->getChar($shortname);
} else {
    $char = HarnChar->new();
    $shortname = undef;
}
# If there are input parameters, read them into the character
if ($req->param() > 5) {
    foreach my $key ($req->param()) {
	my $value = join('',$req->param($key));
        $char->$key( $value ) unless ($key eq 'users');
    }
}

########################################################################

my $hiddenfields;
my $saveoption;
if (defined($shortname)) {
    $hiddenfields .= "<input type=\"hidden\" name=\"shortname\" value=\"$shortname\">\n";
    $saveoption .= $req->checkbox(-name=>'shortname', -checked=>1,
				  -value=>$shortname, -label=>'');
    $saveoption .= " Save as &lt;<tt>$shortname.txt</tt>&gt; ";
    $saveoption .= " using <b>Username:</b> ";
    $saveoption .= "<input type=\"text\" size=\"10\" name=\"authusername\" value=\"\">";
    $saveoption .= " , <b>Password:</b> ";
    $saveoption .= "<input type=\"password\" size=\"10\" name=\"authpassword\" value=\"\">";
    $saveoption .= " <br>\n";
}

########################################################################

my %html_of_field;

foreach ($char->basestats()) {
    $html_of_field{$_} = $char->statfield($req,$_);
}

### Create the HTML for the list of skills
foreach my $type ($char->skillTypeList()) {
    foreach my $i (1 .. 10) {
	my $key = 'Skill_'.$type.'_'.$i.'_Name';
	my $name = $char->$key();
	$html_of_field{$key} = $name.$req->hidden(-name=>$key,-value=>$name);
	$key = 'Skill_'.$type.'_'.$i.'_SB';
	$html_of_field{$key} = $req->textfield(-name=>$key,
					       -value=>$char->$key(),
					       -size=>3);
	$key = 'Skill_'.$type.'_'.$i.'_ML';
	$html_of_field{$key} = $req->textfield(-name=>$key,
					       -value=>$char->$key(),
					       -size=>3);
    }
}

########################################################################

print $req->header();
print <<EndDocument;
<html> <head>
<title>Harn Online Character Editor</title>
<style type="text/css">
<!--
table.standard {
    padding-right: 2px; padding-left: 2px;
    padding-bottom: 2px; padding-top: 2px;
    text-align: center; 
    font-weight: normal; font-size: 8pt;
    font-family:  Verdana, Arial, Helvetica, sans-serif;
}
-->
</style>
</head>

<body bgcolor="#BCAAA0" marginwidth="24" leftmargin="24">
<h1><font color="yellow">H&acirc;rn Online Character Editor</font></h1>

<form method="POST" action="display1.cgi">
$hiddenfields

<!-- start of stats eight-column table -->
<table class="standard" width="90%" border="1" cellspacing="0" cellpadding="2" bgcolor="ivory">
<tr valign="top">
  <td align="left">
    <b>Name:</b>
  </td>
  <td colspan="3" align="left">
    $html_of_field{'CharacterName'}
  </td>
</tr>
<tr valign="top">
  <td align="left">
    <b>Occupation:</b>
  </td>
  <td colspan="3" align="left">
    $html_of_field{'Occupation'}
  </td>
</tr>
<tr valign="top">
  <td align="center">
    <!-- begin birth/family subtable -->
    <table class="standard" border="0" cellpadding="0" cellspacing="2">
    <tr>
      <th colspan="2" align="center"> Birth/Family </th>
    </tr>
    <tr>
      <td align="center"> Species: </td>
      <td align="left"> $html_of_field{'Species'} </td>
    </tr>
    <tr>
      <td align="center"> Sex: </td>
      <td align="left"> $html_of_field{'Sex'} </td>
    </tr>
    <tr>
      <td align="center"> Birthdate: </td>
      <td align="left"> $html_of_field{'Birthdate'} </td>
    </tr>
    <tr>
      <td align="center"> Culture: </td>
      <td align="left"> $html_of_field{'Culture'} </td>
    </tr>
    <tr>
      <td align="center"> SocialClass: </td>
      <td align="left"> $html_of_field{'SocialClass'} </td>
    </tr>
    <tr>
      <td align="center"> SiblingRank: </td>
      <td align="left"> $html_of_field{'SiblingRank'} </td>
    </tr>
    <tr>
      <td align="center"> Parentage: </td>
      <td align="left"> $html_of_field{'Parentage'} </td>
    </tr>
    <tr>
      <td align="center"> Estrangement: </td>
      <td align="left"> $html_of_field{'Estrangement'} </td>
    </tr>
    </table>
    <!-- end birth/family subtable -->
  </td>
  <td align="center">
    <!-- begin appearance subtable -->
    <table class="standard" border="0" cellpadding="0" cellspacing="2">
    <tr>
      <th colspan="2" align="center"> Appearance </th>
    </tr>
    <tr>
      <td align="center"> Height: </td>
      <td align="left"> $html_of_field{'Height'} </td>
    </tr>
    <tr>
      <td align="center"> Frame: </td>
      <td align="left"> $html_of_field{'Frame'} </td>
    </tr>
    <tr>
      <td align="center"> Weight: </td>
      <td align="left"> $html_of_field{'Weight'} </td>
    </tr>
    <tr>
      <td align="center"> Comliness: </td>
      <td align="left"> $html_of_field{'Comliness'} </td>
    </tr>
    <tr>
      <td align="center"> Complexion: </td>
      <td align="left"> $html_of_field{'Complexion'} </td>
    </tr>
    <tr>
      <td align="center"> HairColor: </td>
      <td align="left"> $html_of_field{'HairColor'} </td>
    </tr>
    <tr>
      <td align="center"> EyeColor: </td>
      <td align="left"> $html_of_field{'EyeColor'} </td>
    </tr>
    </table>
    <!-- end appearance subtable -->
  </td>
  <td align="center"> 
    <!-- begin physical stats subtable -->
    <table class="standard" border="0" cellpadding="0" cellspacing="2">
    <tr>
      <th colspan="2" align="center"> Abilities </th>
    </tr>
    <tr>
      <td align="center"> Strength: </td>
      <td align="left"> $html_of_field{'Strength'} </td>
    </tr>
    <tr>
      <td align="center"> Stamina: </td>
      <td align="left"> $html_of_field{'Stamina'} </td>
    </tr>
    <tr>
      <td align="center"> Dexterity: </td>
      <td align="left"> $html_of_field{'Dexterity'} </td>
    </tr>
    <tr>
      <td align="center"> Agility: </td>
      <td align="left"> $html_of_field{'Agility'} </td>
    </tr>
    <tr>
      <td align="center"> Eyesight: </td>
      <td align="left"> $html_of_field{'Eyesight'} </td>
    </tr>
    <tr>
      <td align="center"> Hearing: </td>
      <td align="left"> $html_of_field{'Hearing'} </td>
    </tr>
    <tr>
      <td align="center"> Smell: </td>
      <td align="left"> $html_of_field{'Smell'} </td>
    </tr>
    <tr>
      <td align="center"> Voice: </td>
      <td align="left"> $html_of_field{'Voice'} </td>
    </tr>
    </table>
    <!-- end physical stats subtable -->
  </td>
  <td align="center">
    <!-- begin personality stats subtable -->
    <table class="standard" border="0" cellpadding="0" cellspacing="2">
    <tr>
      <th colspan="2" align="center"> Personality </th>
    </tr>
    <tr>
      <td align="center"> Intelligence: </td>
      <td align="left"> $html_of_field{'Intelligence'} </td>
    </tr>
    <tr>
      <td align="center"> Aura: </td>
      <td align="left"> $html_of_field{'Aura'} </td>
    </tr>
    <tr>
      <td align="center"> Will: </td>
      <td align="left"> $html_of_field{'Will'} </td>
    </tr>
    <tr>
      <td align="center"> Morality: </td>
      <td align="left"> $html_of_field{'Morality'} </td>
    </tr>
    <tr>
      <td align="center"> Deity: </td>
      <td align="left"> $html_of_field{'Deity'} </td>
    </tr>
    <tr>
      <td align="center"> Piety: </td>
      <td align="left"> $html_of_field{'Piety'} </td>
    </tr>
    </table>
    <!-- end personality stats subtable -->
  </td>
</tr>
</table>

<table class="standard" width="90%" border="1" cellspacing="0" cellpadding="2" bgcolor="ivory">
<tr>
  <th colspan="8" align="center"> <big>Skills</big> (SB/ML) </th>
</tr>
<tr>
  <th colspan="2" align="center"> Physical </th>
  <th colspan="2" align="center"> Communication </th>
  <th colspan="2" align="center"> Craft/Lore </th>
  <th colspan="2" align="center"> ... </th>
</tr>
<!-- begin skill list -->
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_1_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_1_SB'}
    $html_of_field{'Skill_Physical_1_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_1_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_1_SB'}
    $html_of_field{'Skill_Communication_1_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_1_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_1_SB'}
    $html_of_field{'Skill_Craft/Lore_1_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_1_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_1_SB'}
    $html_of_field{'Ritual_1_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_2_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_2_SB'}
    $html_of_field{'Skill_Physical_2_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_2_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_2_SB'}
    $html_of_field{'Skill_Communication_2_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_2_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_2_SB'}
    $html_of_field{'Skill_Craft/Lore_2_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_2_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_2_SB'}
    $html_of_field{'Ritual_2_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_3_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_3_SB'}
    $html_of_field{'Skill_Physical_3_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_3_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_3_SB'}
    $html_of_field{'Skill_Communication_3_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_3_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_3_SB'}
    $html_of_field{'Skill_Craft/Lore_3_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_3_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_3_SB'}
    $html_of_field{'Ritual_3_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_4_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_4_SB'}
    $html_of_field{'Skill_Physical_4_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_4_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_4_SB'}
    $html_of_field{'Skill_Communication_4_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_4_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_4_SB'}
    $html_of_field{'Skill_Craft/Lore_4_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_4_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_4_SB'}
    $html_of_field{'Ritual_4_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_5_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_5_SB'}
    $html_of_field{'Skill_Physical_5_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_5_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_5_SB'}
    $html_of_field{'Skill_Communication_5_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_5_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_5_SB'}
    $html_of_field{'Skill_Craft/Lore_5_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_5_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_5_SB'}
    $html_of_field{'Ritual_5_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_6_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_6_SB'}
    $html_of_field{'Skill_Physical_6_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_6_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_6_SB'}
    $html_of_field{'Skill_Communication_6_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_6_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_6_SB'}
    $html_of_field{'Skill_Craft/Lore_6_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_6_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_6_SB'}
    $html_of_field{'Ritual_6_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_7_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_7_SB'}
    $html_of_field{'Skill_Physical_7_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_7_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_7_SB'}
    $html_of_field{'Skill_Communication_7_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_7_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_7_SB'}
    $html_of_field{'Skill_Craft/Lore_7_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_7_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_7_SB'}
    $html_of_field{'Ritual_7_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_8_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_8_SB'}
    $html_of_field{'Skill_Physical_8_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_8_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_8_SB'}
    $html_of_field{'Skill_Communication_8_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_8_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_8_SB'}
    $html_of_field{'Skill_Craft/Lore_8_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_8_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_8_SB'}
    $html_of_field{'Ritual_8_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_9_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_9_SB'}
    $html_of_field{'Skill_Physical_9_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_9_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_9_SB'}
    $html_of_field{'Skill_Communication_9_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_9_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_9_SB'}
    $html_of_field{'Skill_Craft/Lore_9_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_9_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_9_SB'}
    $html_of_field{'Ritual_9_ML'}
  </td>
</tr>
<tr>
  <td align="left" nowrap>
    $html_of_field{'Skill_Physical_10_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Physical_10_SB'}
    $html_of_field{'Skill_Physical_10_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Communication_10_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Communication_10_SB'}
    $html_of_field{'Skill_Communication_10_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Skill_Craft/Lore_10_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Skill_Craft/Lore_10_SB'}
    $html_of_field{'Skill_Craft/Lore_10_ML'}
  </td>
  <td align="left" nowrap>
    $html_of_field{'Ritual_10_Name'}
  </td>
  <td align="center" nowrap>
    $html_of_field{'Ritual_10_SB'}
    $html_of_field{'Ritual_10_ML'}
  </td>
</tr>
</table>
<!-- end skill list -->

<table class="standard" width="90%" border="1" cellspacing="0" cellpadding="2" bgcolor="ivory">
<tr>
  <td colspan="4" align="center">
    $saveoption
    <select name="style">
      <option selected="1" value="default">Default Style</option>
      <option value="xml">XMl Style</option>
    </select>
    <input type="submit" value="Submit">
  </td>
</tr>
</table>

</form>

<p>&nbsp;</p>

</body> </html>
EndDocument

########################################################################
